#ifndef __struct_definitions__
#define __struct_definitions__

#include "complex.hh"



struct s_double2  { double d1, d2; };
struct s_double3  { double d1, d2, d3; };
struct s_double4  { double d1, d2, d3, d4; };
struct s_double5  { double d1, d2, d3, d4, d5; };
struct s_double6  { double d1, d2, d3, d4, d5, d6; };
struct s_double7  { double d1, d2, d3, d4, d5, d6, d7; };
struct s_double8  { double d1, d2, d3, d4, d5, d6, d7, d8; };
struct s_double9  { double d1, d2, d3, d4, d5, d6, d7, d8, d9; };
struct s_double10 { double d1, d2, d3, d4, d5, d6, d7, d8, d9, d10; };
struct s_double11 { double d1, d2, d3, d4, d5, d6, d7, d8, d9, d10, d11; };

struct s_complex_double  { complex c; double d; };
struct s_complex_double2 { complex c; double d1, d2; };

// For fortran wrappers
struct s_complex { double re; double im; };





#endif
